Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

Unable to delete agents

13»

Comments

  • Im going to downgrade back to 1.9.14 because this is now affecting production.
  • I do love the features of 1.10 though, especially the splash page

  • Wow!  Ok.  I cant downgrade because now I cant login to my helpdesk anymore. I can only log in if I put it back on 1.10

  • To downgrade you would need to:
    • restore the site files to the previous version
    • restore your old database from backup.
  • I dont suppose theres a backdoor?  I dont know why, but I did everything you listed above, but it still wont let me log in.  Somehow the password got changed to something I dont know.  I tried doing the query on the SQL database using:

    update ost_staff set passwd = md5('yournewpassword') where username='admin';

    Where I changed 'younewpassword' to something of my choosing and 'admin' to what my username was.  However it still tells me Access Denied. 



  • Sigh....  Well trying to restore to a lower code failed and 1.10 is absolutely not working for me at all.  I tried installing it from scratch, used a different DB.  Basically installed it like I was implementing a new system with no intention of a restore, and I have pages not loading at all.  Like for instance, I emailed a agent a link to reset their password.  They got the link and can connect, but when they enter their creds and try and enter a new password, they get a blank page.  When I, the admin, try and change the agent password manually, the box doesnt pop up.  I never had this many issues with deploying or upgrading osticket.  

    I am going to have to install 1.9.14 from scratch, and hope for the best.  
  • If you are getting a blank page then you are getting a PHP error.
    What are you getting for an error in your logs?

    Do you have multiple versions of PHP installed?
    Did you upgrade any plugins after you installed 1.10?
    Are you using any language packs?
  • would upgrading PHP 5.6 to latest help?

    I have both v1.10 and 1.9.14 installed, but using different databases

  • its just wierd that I would lose access.  So I restored the SQL file that I backed up, and when I try logging in to the account I know had local access, it tells me access denied, like something changed the password on the database.  I even went as far as to reinstall mysql and completely starting off fresh.  Somehow the sql changed the password for the local helpdesk user inside the database
  • It does not appear that you actually answered any of my questions.  So here they are again:

    If you are getting a blank page then you are getting a PHP error.
    What are you getting for an error in your logs?

    Do you have multiple versions of PHP installed?
    Did you upgrade any plugins after you installed 1.10?
    Are you using any language packs?
  • yep sorry got ahead of myself.

    I cant get you the exact log right now since I downgraded to 1.9.14.

    I upgraded my lab helpdesk to 1.10, but thats on a different DB.
    The only plugins I installed was the ldap auth plugin
    no language packs

  • So at my current state. I reinstalled a clean copy of helpdesk (v1.9.14) and created a new DB. Setup the helpdesk like new and its working.


    The issue I have now is my backup .sql file.  Somehow during my upgrade/downgrade practice, my osticket credentials inside the sql got jacked up, because after I restored the file, I can no longer log on.  

    Is there a way I can get into the sql file, and change my password thats inside?  I installed a temporary helpdesk (3rd instance)  so I can troubleshoot this specific instance without impacting the normal production helpdesk.  

  • MariaDB [helpdesk]> update ost_staff set passwd = md5('password') where username
    ='mwierzgac';
    Query OK, 0 rows affected (0.00 sec)
    Rows matched: 0  Changed: 0  Warnings: 0


    not sure why its not updating... 
  • Sorry ntozier,

    Here are the answers to some of your questions:

    What are you getting for an error in your logs? Sorry, I have no logs for these.  I am currently on 1.9.14 now, and this is not an issue with this version.

    Do you have multiple versions of PHP installed? I have v5.3 and v5.6 installed.  Currently have 5.3 running since I am having SMTP send issues with v5.6.

    Did you upgrade any plugins after you installed 1.10?
    The only plugin I have installed is the LDAP Auth plugin.

    Are you using any language packs? No language packs.


  • "The only plugins I installed was the ldap auth plugin"
    Did you apply the auth-ldap fixes in this thread?
    note: there is also a linked fix in that thread.


    "The issue I have now is my backup .sql file."
    We cannot really help you with your backup .sql files.

    "Is there a way I can get into the sql file, and change my password thats inside? "
    Yes.  .sql files are plain text.  You can open it in any text editor (like Notepad++)

    "MariaDB [helpdesk]> update ost_staff set passwd = md5('password') where username='mwierzgac';
    Query OK, 0 rows affected (0.00 sec)
    Rows matched: 0  Changed: 0  Warnings: 0"
    The issue is this: "Rows matched: 0" which tells us that there is no row in the table ost_staff where "username='mwierzgac'".  Did you USE DATEBASENAME; first?  View the table and see the names that are in the table.

    "I have v5.3 and v5.6 installed.  Currently have 5.3 running since I am having SMTP send issues with v5.6."
    Although the web page states PHP 5.3+ it should actually read 5.4+ (and really lots of people are having issues with 7.0.8+). I would consult the php.ini for each version of PHP and if running Windows look specifically at the [mail function] section. Without error logs though I do not think that we can troubleshoot this further.

  • Thanks ntozier for being patient with me.  I dont do a lot with web programing (like PHP) and SQL on a daily basis, so a lot of this gets forgotten.  Plus, I was freaking out the last couple weeks as I was dealing with not only this issue, but a lot of other small issues with our servers all at the same time.  Anyways, thanks for putting up with me.  

    Anyways, I am curious why I am having difficulties with version 1.10, with the links and menu's not working... I think its possibly something in my php setup, but no for certain, since I am not a web programmer.  
  • I'm not sure why your having a problem with it.  I do not have the same problems on my site.
Sign In or Register to comment.